      DOUBLE PRECISION FUNCTION F(NUMBER,X1,X2)
C
C     ******************************************************************
C
C                                                           From Padua2D
C
C                                       Marco Caliari and Marco Vianello
C                             Department of Pure and Applied Mathematics
C                                            University of Padua (Italy)
C                                        {mcaliari,marcov}@math.unipd.it
C
C                                                      Stefano De Marchi
C                                         Department of Computer Science
C                                           University of Verona (Italy)
C                                              stefano.demarchi@univr.it
C
C                                                        June 19th, 2007
C
C       This function is an interface of Padua2D to the function TSTFN2
C     from CSHEP2D by Robert J. Renka.
C
C     ******************************************************************
C
C     PARAMS type                i=input, o=output, a=auxiliary           
C     
C     NUMBER integer             i function number
C     X1     double              i first coordinate of the point
C     X2     double              i second coordinate of the point
C
C     ******************************************************************
C
      INTEGER NUMBER
      DOUBLE PRECISION X1,X2
      IF ((NUMBER .LT. 1) .OR. (NUMBER .GT. 10)) THEN
         WRITE(6,*) 'IN _F: NUMBER ',NUMBER,' UNDEFINED'
         WRITE(6,*) 'STOP'
         STOP
      END IF
      CALL TSTFN2(NUMBER,X1,X2,0,F,F,F,F,F,F)
      RETURN    
      END
